Get response actions status
Server:
https://{kibana_url}
- GET /api/endpoint/action_status
Get the status of response actions for the specified agent IDs.
Query Parameters
-
agent_ids· min: 1required A list of agent IDs to get the action status for.
Response
Indicates a successful call.
-
dataobjectrequired -
One pending-actions summary entry per requested agent.
-
agent_idstring · max: 256required -
Agent ID
-
pending_actionsrequired -
executeinteger -
Number of pending actions of this type.
-
get-fileinteger -
Number of pending actions of this type.
-
isolateinteger -
Number of pending actions of this type.
-
kill-processinteger -
Number of pending actions of this type.
-
running-processesinteger -
Number of pending actions of this type.
-
scaninteger -
Number of pending actions of this type.
-
suspend-processinteger -
Number of pending actions of this type.
-
unisolateinteger -
Number of pending actions of this type.
-
uploadinteger -
Number of pending actions of this type.